﻿using MotorPlantDataModels;
using MotorPlantDataModels.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace MotorPlantDataModels.Models
{
    public interface IShopModel : IId
    {
        string ShopName { get; }
        string Adress { get; }
        DateTime OpeningDate { get; }
        Dictionary<int, (IEngineModel, int)> ShopEngines { get; }
    }
}
